<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ParticleCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_particle_collection.html">ParticleCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_particle_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ParticleCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::ParticleCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_particle_collection__inherit__graph.png" border="0" usemap="#eic_1_1_particle_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_particle_collection_inherit__map" id="eic_1_1_particle_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::ParticleCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_particle_collection__coll__graph.png" border="0" usemap="#eic_1_1_particle_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_particle_collection_coll__map" id="eic_1_1_particle_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a6fa136c469655c985eccac2aced8f296"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a6fa136c469655c985eccac2aced8f296">const_iterator</a> = const <a class="el" href="classeic_1_1_particle_collection_iterator.html">ParticleCollectionIterator</a></td></tr>
<tr class="separator:a6fa136c469655c985eccac2aced8f296"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a81e090070e1bc68104279f5d471d7bbd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a81e090070e1bc68104279f5d471d7bbd">ParticleCollection</a> ()</td></tr>
<tr class="separator:a81e090070e1bc68104279f5d471d7bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74abe8167f230984a26c994f354a202d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a74abe8167f230984a26c994f354a202d">~ParticleCollection</a> ()</td></tr>
<tr class="separator:a74abe8167f230984a26c994f354a202d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49d300f61e1c3424cbaf8cc29d40335"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#ab49d300f61e1c3424cbaf8cc29d40335">clear</a> () override final</td></tr>
<tr class="separator:ab49d300f61e1c3424cbaf8cc29d40335"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889dd761cc8698bfffbbb293d92433da"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_particle_collection.html">ParticleCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a889dd761cc8698bfffbbb293d92433da">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a889dd761cc8698bfffbbb293d92433da"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a889dd761cc8698bfffbbb293d92433da">More...</a><br /></td></tr>
<tr class="separator:a889dd761cc8698bfffbbb293d92433da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ad32f2ba25e4ae9985414f6b6b973e2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a3ad32f2ba25e4ae9985414f6b6b973e2">create</a> ()</td></tr>
<tr class="memdesc:a3ad32f2ba25e4ae9985414f6b6b973e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a3ad32f2ba25e4ae9985414f6b6b973e2">More...</a><br /></td></tr>
<tr class="separator:a3ad32f2ba25e4ae9985414f6b6b973e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42baec2808417a2a99ff0eb36b2a59a9"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a42baec2808417a2a99ff0eb36b2a59a9"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_particle.html">Particle</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a42baec2808417a2a99ff0eb36b2a59a9">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a42baec2808417a2a99ff0eb36b2a59a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177bef82bb6046756354758f7f7d9fa7"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">size</a> () const override final</td></tr>
<tr class="memdesc:a177bef82bb6046756354758f7f7d9fa7"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#a177bef82bb6046756354758f7f7d9fa7">More...</a><br /></td></tr>
<tr class="separator:a177bef82bb6046756354758f7f7d9fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62bef15e4ae6794b4a852327cae1faab"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a62bef15e4ae6794b4a852327cae1faab">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:a62bef15e4ae6794b4a852327cae1faab"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#a62bef15e4ae6794b4a852327cae1faab">More...</a><br /></td></tr>
<tr class="separator:a62bef15e4ae6794b4a852327cae1faab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73bc05f89a7f9e5480a9d64150199728"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a73bc05f89a7f9e5480a9d64150199728">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:a73bc05f89a7f9e5480a9d64150199728"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#a73bc05f89a7f9e5480a9d64150199728">More...</a><br /></td></tr>
<tr class="separator:a73bc05f89a7f9e5480a9d64150199728"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4a1b8c2fa9ba57cc83f24b4e76eafc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a4a4a1b8c2fa9ba57cc83f24b4e76eafc">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a4a4a1b8c2fa9ba57cc83f24b4e76eafc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a4a4a1b8c2fa9ba57cc83f24b4e76eafc">More...</a><br /></td></tr>
<tr class="separator:a4a4a1b8c2fa9ba57cc83f24b4e76eafc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae383cd04704865a626e8d6e865a94557"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#ae383cd04704865a626e8d6e865a94557">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:ae383cd04704865a626e8d6e865a94557"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#ae383cd04704865a626e8d6e865a94557">More...</a><br /></td></tr>
<tr class="separator:ae383cd04704865a626e8d6e865a94557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91dc421ccdec382e1918c06f3a21a7ba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a91dc421ccdec382e1918c06f3a21a7ba">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a91dc421ccdec382e1918c06f3a21a7ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a91dc421ccdec382e1918c06f3a21a7ba">More...</a><br /></td></tr>
<tr class="separator:a91dc421ccdec382e1918c06f3a21a7ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e2fddde4ca6d1d6803bede49863a76c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a5e2fddde4ca6d1d6803bede49863a76c">push_back</a> (<a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a> object)</td></tr>
<tr class="memdesc:a5e2fddde4ca6d1d6803bede49863a76c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#a5e2fddde4ca6d1d6803bede49863a76c">More...</a><br /></td></tr>
<tr class="separator:a5e2fddde4ca6d1d6803bede49863a76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf4c8394f9821f4bf9d48e9b73c8b2cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#abf4c8394f9821f4bf9d48e9b73c8b2cb">prepareForWrite</a> () override final</td></tr>
<tr class="separator:abf4c8394f9821f4bf9d48e9b73c8b2cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab13191a9fb3c16ddd8d41181f56ac6ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#ab13191a9fb3c16ddd8d41181f56ac6ba">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:ab13191a9fb3c16ddd8d41181f56ac6ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e152b1320e5d8c0e3d875c08b7cfce1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a3e152b1320e5d8c0e3d875c08b7cfce1">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:a3e152b1320e5d8c0e3d875c08b7cfce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab404c72fa459db951b561292be0c2f51"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#ab404c72fa459db951b561292be0c2f51">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:ab404c72fa459db951b561292be0c2f51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118cc311d6694499d4ba3b72d315453f"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a118cc311d6694499d4ba3b72d315453f">referenceCollections</a> () override final</td></tr>
<tr class="separator:a118cc311d6694499d4ba3b72d315453f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9da56cb6b1f97deec0084f669023295e"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a9da56cb6b1f97deec0084f669023295e">vectorMembers</a> () override</td></tr>
<tr class="separator:a9da56cb6b1f97deec0084f669023295e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51816fdc881dfa56f8cf2d4ab94b1ec4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a51816fdc881dfa56f8cf2d4ab94b1ec4">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:a51816fdc881dfa56f8cf2d4ab94b1ec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abebbe296deef8369bdaeba4b3fe56ac3"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#abebbe296deef8369bdaeba4b3fe56ac3">getID</a> () const override final</td></tr>
<tr class="separator:abebbe296deef8369bdaeba4b3fe56ac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a01d24095991c160ec90280edf72b13"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a0a01d24095991c160ec90280edf72b13">isValid</a> () const override final</td></tr>
<tr class="separator:a0a01d24095991c160ec90280edf72b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8960437d892f9b27a19603a1ed74269"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_particle_collection.html#a6fa136c469655c985eccac2aced8f296">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#ae8960437d892f9b27a19603a1ed74269">begin</a> () const</td></tr>
<tr class="separator:ae8960437d892f9b27a19603a1ed74269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508e2c4a3a4a0a4a751e0171b3aa5744"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_particle_collection.html#a6fa136c469655c985eccac2aced8f296">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a508e2c4a3a4a0a4a751e0171b3aa5744">end</a> () const</td></tr>
<tr class="separator:a508e2c4a3a4a0a4a751e0171b3aa5744"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c196c5bf90732b41c9fbdd49b591a09"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a5c196c5bf90732b41c9fbdd49b591a09">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:a5c196c5bf90732b41c9fbdd49b591a09"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#a5c196c5bf90732b41c9fbdd49b591a09">More...</a><br /></td></tr>
<tr class="separator:a5c196c5bf90732b41c9fbdd49b591a09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33baf8e10149f470ad4b6ee8b9ac4e1b"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_particle_data.html">ParticleData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a33baf8e10149f470ad4b6ee8b9ac4e1b">_getBuffer</a> ()</td></tr>
<tr class="memdesc:a33baf8e10149f470ad4b6ee8b9ac4e1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#a33baf8e10149f470ad4b6ee8b9ac4e1b">More...</a><br /></td></tr>
<tr class="separator:a33baf8e10149f470ad4b6ee8b9ac4e1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a4266505ac69bc5eb711419257b2244"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a6a4266505ac69bc5eb711419257b2244"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; <a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a>, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a6a4266505ac69bc5eb711419257b2244">p</a> () const</td></tr>
<tr class="separator:a6a4266505ac69bc5eb711419257b2244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a683f3d1bcbd5d01c42c8a2e9e0551a"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a8a683f3d1bcbd5d01c42c8a2e9e0551a"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#a8a683f3d1bcbd5d01c42c8a2e9e0551a">v</a> () const</td></tr>
<tr class="separator:a8a683f3d1bcbd5d01c42c8a2e9e0551a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af671534e628dcee45088ed5ed7d810e8"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:af671534e628dcee45088ed5ed7d810e8"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#af671534e628dcee45088ed5ed7d810e8">pid</a> () const</td></tr>
<tr class="separator:af671534e628dcee45088ed5ed7d810e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8f7b31d74e36deac74b6fa1bb2d8f6d"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:ae8f7b31d74e36deac74b6fa1bb2d8f6d"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_collection.html#ae8f7b31d74e36deac74b6fa1bb2d8f6d">status</a> () const</td></tr>
<tr class="separator:ae8f7b31d74e36deac74b6fa1bb2d8f6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a6fa136c469655c985eccac2aced8f296"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fa136c469655c985eccac2aced8f296">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_particle_collection.html#a6fa136c469655c985eccac2aced8f296">eic::ParticleCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_particle_collection_iterator.html">ParticleCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a81e090070e1bc68104279f5d471d7bbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81e090070e1bc68104279f5d471d7bbd">&#9670;&nbsp;</a></span>ParticleCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ParticleCollection::ParticleCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00013">13</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a74abe8167f230984a26c994f354a202d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74abe8167f230984a26c994f354a202d">&#9670;&nbsp;</a></span>~ParticleCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ParticleCollection::~ParticleCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00018">18</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_collection_8cc_source.html#l00050">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a33baf8e10149f470ad4b6ee8b9ac4e1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33baf8e10149f470ad4b6ee8b9ac4e1b">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_particle_data.html">ParticleData</a>&gt;* eic::ParticleCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae383cd04704865a626e8d6e865a94557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae383cd04704865a626e8d6e865a94557">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_particle.html">Particle</a> eic::ParticleCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00027">27</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a91dc421ccdec382e1918c06f3a21a7ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91dc421ccdec382e1918c06f3a21a7ba">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_particle.html">Particle</a> eic::ParticleCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00035">35</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="ae8960437d892f9b27a19603a1ed74269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8960437d892f9b27a19603a1ed74269">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_particle_collection.html#a6fa136c469655c985eccac2aced8f296">const_iterator</a> eic::ParticleCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="ab49d300f61e1c3424cbaf8cc29d40335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49d300f61e1c3424cbaf8cc29d40335">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ParticleCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00050">50</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_collection_8cc_source.html#l00018">~ParticleCollection()</a>.</p>

</div>
</div>
<a id="a3ad32f2ba25e4ae9985414f6b6b973e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ad32f2ba25e4ae9985414f6b6b973e2">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_particle.html">Particle</a> eic::ParticleCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00043">43</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a42baec2808417a2a99ff0eb36b2a59a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42baec2808417a2a99ff0eb36b2a59a9">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_particle.html">Particle</a> eic::ParticleCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00156">156</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a508e2c4a3a4a0a4a751e0171b3aa5744"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a508e2c4a3a4a0a4a751e0171b3aa5744">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_particle_collection.html#a6fa136c469655c985eccac2aced8f296">const_iterator</a> eic::ParticleCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a5c196c5bf90732b41c9fbdd49b591a09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c196c5bf90732b41c9fbdd49b591a09">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::ParticleCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="abebbe296deef8369bdaeba4b3fe56ac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abebbe296deef8369bdaeba4b3fe56ac3">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::ParticleCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a62bef15e4ae6794b4a852327cae1faab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62bef15e4ae6794b4a852327cae1faab">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::ParticleCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a0a01d24095991c160ec90280edf72b13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a01d24095991c160ec90280edf72b13">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ParticleCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a889dd761cc8698bfffbbb293d92433da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a889dd761cc8698bfffbbb293d92433da">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_particle_collection.html">ParticleCollection</a>* eic::ParticleCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a73bc05f89a7f9e5480a9d64150199728"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73bc05f89a7f9e5480a9d64150199728">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_particle.html">Particle</a> eic::ParticleCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00023">23</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a4a4a1b8c2fa9ba57cc83f24b4e76eafc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a4a1b8c2fa9ba57cc83f24b4e76eafc">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_particle.html">Particle</a> eic::ParticleCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00031">31</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a6a4266505ac69bc5eb711419257b2244"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a4266505ac69bc5eb711419257b2244">&#9670;&nbsp;</a></span>p()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; <a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a>, arraysize &gt; eic::ParticleCollection::p </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00164">164</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af671534e628dcee45088ed5ed7d810e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af671534e628dcee45088ed5ed7d810e8">&#9670;&nbsp;</a></span>pid()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::ParticleCollection::pid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00184">184</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ab13191a9fb3c16ddd8d41181f56ac6ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab13191a9fb3c16ddd8d41181f56ac6ba">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ParticleCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00065">65</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="abf4c8394f9821f4bf9d48e9b73c8b2cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf4c8394f9821f4bf9d48e9b73c8b2cb">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ParticleCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00056">56</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="a5e2fddde4ca6d1d6803bede49863a76c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e2fddde4ca6d1d6803bede49863a76c">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ParticleCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_particle.html">ConstParticle</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00081">81</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_particle_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="a118cc311d6694499d4ba3b72d315453f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a118cc311d6694499d4ba3b72d315453f">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::ParticleCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="a3e152b1320e5d8c0e3d875c08b7cfce1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e152b1320e5d8c0e3d875c08b7cfce1">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ParticleCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00093">93</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a51816fdc881dfa56f8cf2d4ab94b1ec4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51816fdc881dfa56f8cf2d4ab94b1ec4">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ParticleCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<a id="ab404c72fa459db951b561292be0c2f51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab404c72fa459db951b561292be0c2f51">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ParticleCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00076">76</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

</div>
</div>
<a id="a177bef82bb6046756354758f7f7d9fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a177bef82bb6046756354758f7f7d9fa7">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::ParticleCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_particle_collection_8cc_source.html#l00039">39</a> of file <a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>, <a class="el" href="_particle_collection_8cc_source.html#l00056">prepareForWrite()</a>, and <a class="el" href="_particle_collection_8cc_source.html#l00081">push_back()</a>.</p>

</div>
</div>
<a id="ae8f7b31d74e36deac74b6fa1bb2d8f6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8f7b31d74e36deac74b6fa1bb2d8f6d">&#9670;&nbsp;</a></span>status()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::ParticleCollection::status </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00194">194</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a8a683f3d1bcbd5d01c42c8a2e9e0551a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a683f3d1bcbd5d01c42c8a2e9e0551a">&#9670;&nbsp;</a></span>v()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; <a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>, arraysize &gt; eic::ParticleCollection::v </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00174">174</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a9da56cb6b1f97deec0084f669023295e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9da56cb6b1f97deec0084f669023295e">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::ParticleCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_particle_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_particle_collection_8h_source.html">ParticleCollection.h</a></li>
<li>src/<a class="el" href="_particle_collection_8cc_source.html">ParticleCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
